Bundle Install的一些问题
Bundle Install的一些问题
莫问viva 发表于3年前
Bundle Install的一些问题
  • 发表于 3年前
  • 阅读 13
  • 收藏 1
  • 点赞 0
  • 评论 0
摘要: 主要涉及到代理问题,以及git本身的配置问题!


起初直接在CMD中执行bundle install

发现无法下载rails 项目的任何依赖包、也无法从github clone依赖包。

首先想到的问题就是代理问题,因为公司内部使用了代理。

OK设置代理吧

set http_proxy=http://ip:port


继续执行bundle install

发现可以下载依赖包了,但是仍然无法从github clone依赖包

查询了下,发现git本身也需要设置代理:

git config --global http.proxy http://ip:port


OK 设置完成以后,继续,执行bundle install

发现还是无法下载依赖,仍然报上图中的错误。

我直接使用 git clone  https://*****.git命令可以下载,这让人很是不解。


后来发现 bundle install从github调用的命令是 git clone git://****.git

所以一搜索,解决方案就来了:

使用https下载方法代替git

git config --global url."https://".insteadOf git://


再次执行bundle install 一路畅通!

(个人对git只是会简单使用,具体git https原因暂时也未作深入研究。)



标签: git https 代理
共有 人打赏支持
粉丝 39
博文 129
码字总数 106697
×
莫问viva
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: